Subject: WG ACTION: IP Version 6 Working Group (ipv6) (was ipngwg)

From: The IESG <[email-masked]>
Date: Thu, 06 Dec 2001 10:05:47 -0500

The IESG has approved the updated charter for the IP Next Generation
Working Group (ipngwg). As part of the new charter, the working group name
and acronym is changing from IP Next Generation (ipngwg) to the IP
Version 6 Working Group (ipv6).

For additional information, contact the Area Directors or the WG Chairs

IP Version 6 Working Group (ipv6)
---------------------------------
 
 Charter 
 Last Modified: 05-Dec-01
 
 Current Status: Active Working Group
  
 Chair(s):
     Bob Hinden <[email-masked]>
     Steve Deering <[email-masked]>
 
 Internet Area Director(s): 
     Thomas Narten  <[email-masked]>
     Erik Nordmark  <[email-masked]>
 
 Internet Area Advisor: 
     Thomas Narten  <[email-masked]>
 
 Editor(s):
     Bob Hinden  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe ipng
     Archive:           ftp://playground.sun.com/pub/ipng/mail-archive
 
Description of Working Group:
 
IP version 6 or IPv6 (also formerly known as IP Next Generation or
IPng) is intended to support the continued growth of the Internet, both 
in size and capabilities, by offering a greatly increased IP address 
space and other enhancements over IPv4.  The IP Next Generation (IPng) 
working group was originally chartered by the IESG to implement the
recommendations of the IPng Area Directors as outlined at the July 1994
IETF meeting and in "The Recommendation for the IP Next Generation
Protocol," RFC1752, January 1995.  Most of the tasks in that original
charter have been completed, and the core IPv6 protocol specifications
are now on the IETF standards track.

This charter focuses on completing the remaining work items and 
providing a home for IPv6 work that spans multiple IETF working groups. 
The working group is being renamed the IP Version 6 Working Group 
(IPv6) because it is a better description of the working group's focus.

The specific working group's ongoing responsibilities are as follows:

- Complete work from the original charter and follow-on work, as
  outlined below.

  - Keep all IPv6 working group documents moving along publication /
    standardization track.

- Complete work from the original charter and follow-on work, as
  outlined below.

  - Keep all IPv6 working group documents moving along publication /
    standardization track.

- Serve as a review board and body of competence and coordination for
  IPv6 architectural issues that span multiple IETF working groups.

- Provide a home for IPv6-related work that doesn't fit in an existing
  IETF working group and doesn't merit a working group of its own.

- Provide technical input to the IAB, IANA and Internet Address
  Registries with regard to IPv6 address allocation policies and
  procedures.

The list of the working group's current work items is as follows:

- Revise and advance to Draft Standard the IPv6 Address
  Architecture document [RFC 2373]

- Revise IPv6 Aggregatable Unicast Addresses [RFC 2374], removing the 
  policy aspects that are considered RIR issues.

- Complete work on recommended address-selection algorithms

- Revise ICMPv6 spec [RFC 2463] (scope-exceeded err, no error to
  redirect, editorial)

- Revise Generic Tunneling spec [RFC 2473] (add bidirectional
  tunnels)

- Update Basic and Advanced API specs [RFC 2553, RFC 2292]

- Complete Scoped Address Architecture spec and any necessary revisions
  to other working group drafts required to properly implement support
  for IPv6 address scoping

- Work on host-based solutions to site-multihoming problems (in
  coordination with multi6)

- Complete work on local IPv6 networking as part of IPv6
  plug-and-play (to be coordinated with other WGs as appropriate,
  e.g., dnsext, zeroconf, etc.)

- Document IPv6 renumbering model

- Complete the IPv6 Node Information Queries spec

- Revise and update the base IPv4/IPv6 MIBs and produce a new
  consistent set of MIBs that cover IPv4 and IPv6 together.
  RFCs to be looked at together: 2011, 2012, 2013, 2096, 2851, 2452, 
  2454, 2465, 2466 and possibly 3019.

New work items not listed above require the approval of the working
group and Internet Area directors before they will be taken on by the
working group.

The working group would welcome contributions on the following topics
this is not an exhaustive list):

- Flow label standardization

- Solutions to other multihoming issues, beyond those specific to
  site-multihoming

- Integration of autoconfiguration, mobility, DNS, service discovery
  and other technologies to enhance IPv6 plug-and-play

- IPv6 dial-up issues relating to address assignment, use of Neighbor
  Discovery, etc. (not including AAA work)

- Specifications for IPv6 over additional media

- Host use of anycast; TCP use of anycast

- Support for multi-link subnets (single subnet spans multiple links)

- Scope-name discovery

- IPv6 protocol extensions to accommodate mobile wireless networks.
 
 Goals and Milestones: 
 
   Jul 01       Revise IPv6 Address Architecture and resubmit to IESG for Draft
                Standard                                                       

   Jul 01       Revise IPv6 Aggregatable Unicast Addresses and submit for 
                publication as an RFC.                                         

   Jul 01       Resubmit the IPv6 Node Information Queries spec                

   Aug 01       Compete Address Selection specification and submit for Proposed
                Standard                                                       

   Dec 01       Update ICMP document and resubmit for Draft Standard           

   Dec 01       Complete DNS Discovery draft and submit for Proposed Standard  

   Dec 01       Update Generic Tunneling specification and resubmit for 
                Proposed Standard                                              

   Dec 01       Complete updates to Basic and Advanced API specifications and 
                submit for Informational                                       

   Mar 02       Complete Scoped Address Architecture and submit for Proposed 
                Standard                                                       

   May 02       Submit document describing IPv6 renumbering model for 
                Informational.                                                 

 Internet-Drafts:

Posted Revised       I-D Title  <Filename>
------ ------- ------------------------------------------
 Jul 97 Jul 01  <draft-ietf-ipngwg-icmp-name-lookups-08.txt> 
                IPv6 Node Information Queries                                  
 
 Oct 98 Mar 01  <draft-ietf-ipngwg-ipaddressassign-02.txt> 
                A  flexible method for managing the assignment of bites of an 
                IPv6 address block                                             
 
 Jun 99 Nov 01  <draft-ietf-ipngwg-rfc2292bis-03.txt> 
                Advanced Sockets API for IPv6                                  
 
 Jun 99 Nov 01  <draft-ietf-ipngwg-icmp-v3-02.txt> 
                Internet Control Message Protocol (ICMPv6)for the Internet 
                Protocol Version 6 (IPv6) Specification                        
 
 Oct 99 Sep 01  <draft-ietf-ipngwg-default-addr-select-06.txt> 
                Default Address Selection for IPv6                             
 
 Mar 00 Nov 01  <draft-ietf-ipngwg-addr-arch-v3-07.txt> 
                IP Version 6 Addressing Architecture                           
 
 Mar 00 Nov 01  <draft-ietf-ipngwg-scoping-arch-03.txt> 
                IP Version 6 Scoped Address Architecture                       
 
 May 00 Nov 01  <draft-ietf-ipngwg-rfc2553bis-04.txt> 
                Basic Socket Interface Extensions for IPv6                     
 
 Sep 00 Oct 01  <draft-ietf-ipngwg-uni-based-mcast-03.txt> 
                Unicast-Prefix-based IPv6 Multicast Addresses                  
 
 Nov 00 Nov 01  <draft-ietf-ipngwg-dns-discovery-03.txt> 
                IPv6 Stateless DNS Discovery                                   
 
 May 01 New     <draft-ietf-ipngwg-router-selection-00.txt> 
                Default Router Preferences and More-Specific Routes            
 
 Jul 01 New     <draft-ietf-ipngwg-p2p-pingpong-00.txt> 
                Avoiding ping-pong packets on point-to-point links             
 
 Jul 01 New     <draft-ietf-ipngwg-ipv6-anycast-analysis-00.txt> 
                An analysis of IPv6 anycast                                    
 
 Jul 01 Nov 01  <draft-ietf-ipngwg-rfc2012-update-01.txt> 
                Management Information Base for the Transmission Control 
                Protocol (TCP)                                                 
 
 Jul 01 New     <draft-ietf-ipngwg-rfc2096-update-00.txt> 
                IP Forwarding Table MIB                                        
 
 Jul 01 New     <draft-ietf-ipngwg-dns-discovery-analysis-00.txt> 
                Analysis of DNS Server Discovery Mechanisms for IPv6           
 
 Jul 01 New     <draft-ietf-ipngwg-temp-addresses-v2-00.txt> 
                Privacy Extensions for Stateless Address Autoconfiguration in 
                IPv6                                                           
 
 Jul 01 New     <draft-ietf-ipngwg-rfc2011-update-00.txt> 
                Management Information Base for the Internet Protocol (IP)     
 
 Jul 01 Nov 01  <draft-ietf-ipngwg-rfc2013-update-01.txt> 
                Management Information Base for the User Datagram Protocol 
                (UDP)